View Issue Details

IDProjectCategoryView StatusLast Update
0001035SymmetricDSNew Featurepublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.3.0 
Target Version3.3.0Fixed in Version3.3.0 
Summary0001035: Add new refresh cache job that can be turned on in a clustered environment to check for configuration changes
DescriptionAdd new refresh cache job that can be turned on in a clustered environment to check for configuration changes and refresh the appropriate cache.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master b88cb68e

2013-02-05 20:23:55

chenson

Details Diff
0001035: Add new refresh cache job that can be turned on in a clustered environment to check for configuration changes
0001034: Add last_update_by, last_update_time, create_time to transform_*, parameter, channel, node_group, and node_group_link

0001035
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobManager.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/job/RefreshCacheJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/service/jmx/NodeManagementService.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/service/jmx/ParameterManagementService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Channel.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/NodeChannel.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/NodeGroup.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/NodeGroupLink.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ClusterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IParameterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ParameterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ParameterServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractTriggerRouterServiceTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/MockParameterService.java Diff File
mod - symmetric-core/src/test/resources/test-services-setup.sql Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/TransformColumn.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/TransformTable.java Diff File
mod - symmetric-server/src/test/java/org/jumpmind/symmetric/test/SimpleIntegrationTest.java Diff File
mod - symmetric-server/src/test/resources/test-integration-root-setup.sql Diff File

SymmetricDS: master 5fa1a457

2013-02-06 18:56:27

chenson

Details Diff
0001035: Add new refresh cache job that can be turned on in a clustered environment to check for configuration changes
0001035
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/RefreshCacheJob.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/ConfigurationChangedFilter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ConfigurationChangedDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IGroupletService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IParameterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITransformService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AbstractService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/GroupletService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/GroupletServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ParameterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ParameterServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterServiceSqlMap.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/MockParameterService.java Diff File
mod - symmetric-server/src/test/java/org/jumpmind/symmetric/test/SimpleIntegrationTest.java Diff File

Issue History

Date Modified Username Field Change
2013-02-05 16:54 chenson New Issue
2013-02-05 16:54 chenson Status new => assigned
2013-02-05 16:54 chenson Assigned To => chenson
2013-02-06 19:04 chenson Status assigned => resolved
2013-02-06 19:04 chenson Fixed in Version => 3.3.0
2013-02-06 19:04 chenson Resolution open => fixed
2013-02-06 19:05 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6833
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6834
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 5fa1a457
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master b88cb68e